Subject: normal coordinate calculation <SUMMARY>

From: [email-masked] (Dongchul Lim)
Date: Fri, 8 Apr 1994 02:17:15 -0400 (EDT)

<Summary of Normal Coordinate Calculation>

A number of people asked me to post a summary on normal coordinate
calculations. Many chemists are interested in refinement of force
constants from experimental frequencies and as well as prediction of 
frequencies from their force field parameters. Although the basic
principle of calculating normal frequencies and coordinates have
not changed much since 1960's, the efficiency of computation and
user-friendliness became the major concern. A number of different
algorithms for the frequency calculation appear in the literature.
I'm not going to judge which one is better than the other (besides,
I haven't tried all of them). A review which will appear in the
April issue of Current Opinion in Structural Biology by Dr. David
Case (see below) may cover this issue (?).
I simply compiled the replies after some trimming.
The order of the replies is absolutely based on their arrival time.
I'd like to thank all who kindly replied to my question.
I'll try to repost the summary if I get more information.
-Dongchul Lim

==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*
>From Bill Ross ([email-masked])
==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*

Amber contains a normal mode program. A blurb on the package
as a whole is appended, followed by the beginning of the 
relevant section of the manual.

Bill Ross

        AMBER 4.0

        Molecular mechanics simulation programs, 
        including source code and demos.

        Computer Req'ts: Fortran compiler, 25+ Mbytes disk

	Amber is a suite of programs for performing a variety of molecular 
	mechanics based simulations on machines ranging from workstations 
	to supercomputers. It is designed primarily for proteins and nucleic 
	acids. A graphics front end is under development and should be 
	available in spring of 1994.  The 4.0 release has important new
	features. Free Energy: dynamically modified windows, potential 
	of mean force, bond correction, thermodynamic integration and 
	others. Normal modes: Langevin modes, finding transition states, 
	new analysis tools. A new NMR-oriented energy minimization/dynamics 
	program allows time-dependent and time-averaged constraints (e.g. 
	simulated annealing)  and direct fitting to NOESY or chemical shift 
	data. The 'vanilla' energy minimization and dynamics program includes 
	polarizability as an option.  Distribution is in source code format, 
	and a suite of demos is provided.  The main release is in Unix and 
	VMS; VM/CMS/MVS will have fewer demos; and the mostly standard Fortran 
	source code can be ported elsewhere.

	Price:

		Academic & Development: $200
		Industrial use: $15,000

	Support:

	No guarantees of support. Email address & phone number provided.

    NMODE module                                             Page 1

                                 NMODE

         This program performs molecular mechanics calculations  on
    proteins  and  nucleic acids, using first and second derivative
    information to find local minima,  transition  states,  and  to
    perform  vibrational  analyses.   It  is  designed  to read the
    prmtop and inpcrd files  from  the  Amber  suite  of  programs.
    There  are  accompanying programs nmanal (normal mode analysis)
    and lmanal (Langevin mode analysis)  that  use  the  output  of
    these  programs  to  compute  molecular  fluctuations  and time
    correlation functions.  Nmode was  originally  written  at  the
    University  of California, Davis, by D.T. Nguyen and D.A. Case,
    based in part on code in the Amber 2.0  package.   Major  revi-
    sions  were made at the Research Institute of Scripps Clinic by
    J. Kottalam and D.A. Case.   M.  Pique  has  provided  valuable
    advice and help in porting it to many different machines.

         References.  The second derivative routines are  based  on
    expressions used in the  Consistent  Force  Field  programs;[1]
    similar  information  is  given  by  K.J.  Miller,  et  al.,[2]
    although  these  expressions  were not actually used in writing
    this code.  The code also contains routines to search for tran-
    sition  state,  starting (generally) from a minimum.  This pro-
    cedure uses a modification  of  the  procedure  of  Cerjan  and
    Miller[3] as described elsewhere.[4]` Langevin modes are analo-
    gous to normal modes, but in the presence of a viscous coupling
    to a continuum solvent.  The basic ideas are presented by  Lamm
    and Szabo,[5] and were implemented in the Amber environment  by
    us.[6]

         General description: This  program  performs  five  tasks,
    depending on the value of the input variable ntrun (see below):
    ____________________
        [1]S.R. Niketic  and  K.  Rasmussen,  The  Consistent  Force
    Field: A Documentation, Springer-Verlag, 1977.
       [2]R.J.  Hinde  and J. Anderson, J.  Comput. Chem. 1989, 10,
    63.
       [3]C. Cerjan and W.H. Miller, J. Chem. Phys. 1981, 75, 2800.
       [4]D. T. Nguyen and D. A. Case, J. Phys.  Chem.,  1985,  89,
    4020.
       [5]G. Lamm and A. Szabo, J. Chem. Phys. 1986, 85, 7334.
       [6]  J.  Kottalam and D.A. Case, Biopolymers 1990, 29, 1409-
    1421.
    _________________

     (1)   Perform a normal mode  analysis  from  starting  coordi-
           nates.   Requires  an  input  structure that has already
           been minimized, from process  (4),  below,  or  by  some
           other  method.  In addition to the computation of normal
           mode frequencies, thermodynamic  parameters  are  calcu-
           lated.

     (2)   Search for transition state, starting (generally) from a
           minimum.   See  the  references  above  for  a  detailed
           description of the method.

     (3)   Perform  a  conjugate  gradient  minimization  from  the
           starting  coordinates. This routine uses an IMSL library
           routine for this purpose,  which is  not  supplied  with
           this  program.   Persons  who  do not have access to the
           IMSL library should probably use the AMBER "min" program
           to  carry out conjugate gradient minimizations. (Compile
           min in the double precision  version  for  best  conver-
           gence.)

     (4)   Does a Newton-Raphson minimization from starting coordi-
           nates.   A  constant  (tlamba)  is added to the diagonal
           elements of the  Hessian  matrix  to  make  it  positive
           definite.  Tlamba  is  chosen  in a manner such that the
           step is always downhill in all directions. Whenever  the
           change in energy is > emx or the rms of step length is >
           smx, the step length is scaled back repeatedly until the
           above two conditions are satisfied.  Note that this rou-
           tine will not converge to a transition state.

     (5)   Perform a langevin mode  calculation,  starting  from  a
           minimized structure.  This option is similar to (1), but
           includes the viscous effects of a solvent in the  calcu-
           lation.

==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*
From: "Don Gregory" <[email-masked]>
==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*

CHARMm has quite a good set of routines for calculating
normal modes, vibrational spectra, and force-field
parameter optimization of foce-constants to match
the experimental IR.

==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*
From: Tom Sundius U of Helsinki <[email-masked]>
==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*

I am the author of a program for force field calculations (which of course
also produces normal coordinates). It is called MOLVIB and has been 
included in the QCPE collection (#604, see QCPE Bull. Vol 11, Nr. 3).
I include the description, which also gives some references.
By the way, Gwinn's program does also use cartesian coordinates in
the calculations, but had some problems with the calculation of
the B-matrix, which I think were corrected by the Norwegian electron
diffraction group. The classical method (so-called GF-method) is used
in the Schachtschneider program, which was developed in the 60's.
Shimanouchi and his coworkers in Japan developed a new program towards
the end of the 60's.

Description of MOLVIB:
-----------------------------

                   Documentation for the program MOLVIB (version 6.0)

Purpose:   MOLVIB is a program for classical harmonic force  field  calculations
           on free and crystalline molecules.

Language:  Fortran 77

Hardware:  VAX (VMS), IBM PC (DOS)

Usage:     Input instructions can be found in the supplied manual.  A help  file
           (in  VAX/VMS  help  format) is provided.  A standard test (ethane) is
           also included.

Abstract:  Normal coordinate analysis is nowadays commonly employed as an aid in
           the interpretation of the vibrational spectra of large molecules.  In
           order to get meaningful results, a knowledge of the vibrational force
           field  is  necessary.   Since  the  number  of  force constants grows
           quadratically with the number  of  atoms,  one  has  to  employ  many
           approximations  in  the calculation of harmonic force fields even for
           moderately large molecules.

           To overcome this difficulty one can determine a force field for a set
           of related molecules using the so-called overlay method introduced by
           Snyder and Schachtschneider in the 1960's (J.H.  Schachtschneider and
           R.G.  Snyder, Spectrochim.  Acta, 19 (1963) 117-168)

           About 1970 Gwinn developed a program for normal  coordinate  analysis
           using  mass-weighted  cartesian  coordinates  (W.D.  Gwinn, J.  Chem.
           Phys., 55, 477-481 (1971)), which eliminates the redundancy  problems
           arising  when  internal  valence coordinates are used, as in Wilson's
           GF-method.  MOLVIB is based on the same fundamental idea, but differs
           from  similar  programs  in  many respects.  The  program  was  first
           described by T.  Sundius, Commentat.  Phys.-Math.  47,  1-66  (1977),
           and  a  more  recent decription by the same author can be found in J.
           Mol.  Struct.  218, 321-326 (1990).

           In addition to free molecules, crystals can also be treated.  In this
           case,  up  to  50  atoms divided between 11 sub-units can be handled.
           All the calculations  are  performed  using  mass-weighted  cartesian
           coordinates,  instead  of  the conventional GF-method.  This makes it
           possible to overcome problems with redundant coordinates.  The  force
           field  is  refined  by  a  modified least squares fit of the observed
           normal frequencies, as described in T.  Sundius, J.  Mol.  Spectrosc.
           82,  138-151  (1980).  Beginning with version 6 of the program, it is
           possible to change several  of  the  maximum  array  dimensions,  and
           create  executables,  which  can  handle  larger  molecules (or force
           fields).

           The program is user-friendly, and can be easily adopted to  different
           force  fields.  It is also possible to express the force field in the
           CFF notation (see S.R.  Niketic and Kj.  Rasmussen:   The  Consistent
           Force  Field:   A Documentation, Lecture Notes in Chemistry, Vol.  3,
           Springer-Verlag (1977)).   This  makes  it  possible  to  use  it  in
           combination  with  the  CFF  program  (or  other  molecular mechanics
           programs) for conformational analysis of flexible molecules.

Accuracy:  Single precision floating point.  The matrix diagonalization  can  be
           performed  in double precision, as shown by an alternative version of
           the routine EIGV.  This may be advantageous on  machines  with  small
           word  length, especially if highly accurate eigenvectors are desired.
           The null frequencies, which always are printed out, can  serve  as  a
           check  both  for machine accuracy and the validity of the input data.
           With single precision  on  a  32-bit  machine,  null  frequencies  of
           magnitude 1-2 cm-1 are not uncommon.

Libraries: A few of the subroutines are  modifications  of  programs  previously
           published  in  books  or  journals, as also has been indicated in the
           prologues. If  desired, these  routines  can be replaced  by  similar
           library routines (NAG or IMSL, e.g.), if such are available.

Author:    Tom Sundius, Department of Physics, University of Helsinki,  January,
           1991.

==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*
From: [email-masked]  (David Case)
==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*

Not sure what you mean by a "normal mode computation procedure"....programs
like Amber and Charmm and Discover all can compute normal modes of any
molecule that their force fields cover (primarily but not exclusively
biomolecules).  I have a review of normal mode calculations on proteins
that will appear in the April issue of Current Opinion in Structural Biology.

==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*
>From [email-masked]  Thu Apr  7 05:50:54 1994
==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*

It is not clear whether you are interested in molecules or
crystals; if the latter then our group uses the PARAPOCS
program which can perform free energy minimisation of
ionic crystal structures and calculates phonon dispersion
curves.  It includes the Buckingham, Lennard-Jones and
Morse potential types at least and the common harmonic
3- and 4-body terms.  The person to contact is Dr S.C.Parker
at the University of Bath (email [email-masked]) if
you are interested in using the program.

One reference to how PARAPOCS works is:
	S.C.Parker and G.D.Price
	Advances in Solid State Chemistry, 1, 295, 1989

If you have general questions about the program I will try
to help.  If you want access to the code you will have to
ask Dr Parker.

==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*==*